designANOVA {maigesPack} | R Documentation

## Function to construct design an contrasts matrices for ANOVA models

### Description

This function takes an object of class `maiges` together with other arguments and construct the matrices of design and contrasts for adjusting ANOVA models. The design matrix are generated using the function `model.matrix`.

### Usage

    designANOVA(data=NULL, factors=names(data@Slabels), model=NULL,
                contrasts=NULL, ...)

### Arguments

`data` | object of class `maiges`.
`factors` | vector of character strings specifying the sample labels IDs to be used as factors in the models.
`model` | a formula specifying the model to be fitted.
`contrasts` | character vector specifying the contrasts to be done. This is done by the function `makeContrasts` from package limma. Pay attention that we use the treatment-control parametrisation.
`...` | additional parameters for function `model.matrix`.

### Value

The result of this function is an object of class `maigesANOVA`.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`model.matrix`, `makeContrasts`, `deGenesANOVA`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Constructing a maigesANOVA object for the 'Tissue' sample label using
    ## default model (simple linear model with intercept) and contrasts (all
    ## parameters are equal between themselves)
    gastro.ANOVA = designANOVA(gastro.summ, factors="Tissue")
    gastro.ANOVA

[Package maigesPack version 1.4.0 Index]